> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# Wyświetl procedury

GET https://api.elevenlabs.io/v1/convai/agents/{agent_id}/branches/{branch_id}/procedures

Wyświetla procedury przypisane do tej gałęzi agenta. Domyślnie nieopublikowane wersje robocze mają pierwszeństwo przed najnowszą zatwierdzoną wersją. Przekaż agent_version_id, aby zamiast tego wyświetlić opublikowany snapshot. has_draft ma wartość true, gdy procedura ma nieopublikowane zmiany wersji roboczej w tej gałęzi. Treść procedury nie jest dołączana; użyj Get Procedure, aby odczytać jej zawartość.

Reference: https://elevenlabs.io/docs/eleven-agents/api-reference/agents/procedures/list

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `agent_id` (string, required) — ID agenta, z którego pobrać szkic procedury
- `branch_id` (string, required) — ID gałęzi, z której ma zostać pobrany szkic procedury

### Query parameters

- `agent_version_id` (string, optional) — ID wersji agenta, dla której ma zostać pobrana procedura.

## Response

### 200

Pomyślna odpowiedź

- `procedures` (list of ProcedureListItemResponseModel, required) — Procedury w gałęzi wraz z metadanymi uwzględniającymi szkic.

## Errors

### 422 Procedures List Request Unprocessable Entity Error

Błąd walidacji

- `detail` (list of ValidationError, optional)

## Types

### ProcedureListItemResponseModel

- `procedure_id` (string, required) — ID procedury
- `has_draft` (boolean, required) — True, gdy procedura ma na tej gałęzi nieopublikowane zmiany w wersji roboczej (nowo utworzoną lub edytowaną procedurę, która nie została jeszcze opublikowana). Gdy wartość to true, nazwa, typ i wyzwalacz odzwierciedlają tę wersję roboczą.
- `version_id` (string, optional) — ID wersji procedury. None dla procedury, która nigdy nie miała wersji.
- `name` (string, optional, default: ) — Nazwa procedury
- `type` (enum, optional, default: free_form) — Typ procedury
  - Allowed values: `free_form`, `deterministic`, `folder`
- `trigger` (string, optional, default: ) — Kiedy agent powinien użyć tej procedury. Pusty ciąg oznacza, że jest to podprocedura, która powinna rozpocząć się tylko wtedy, gdy odwołuje się do niej inna procedura.
- `referenced_tool_ids` (list of string, optional) — Identyfikatory narzędzi użyte w treści procedury
- `referenced_kb_ids` (list of string, optional) — Identyfikatory bazy wiedzy wskazane w treści procedury
- `referenced_procedure_ids` (list of string, optional) — ID procedur, do których odwołuje się treść procedury
- `referenced_dynamic_variables` (list of string, optional) — Nazwy zmiennych dynamicznych użytych w treści procedury
- `folder_parent_id` (string, optional) — ID folderu, w którym znajduje się ta procedura. None oznacza katalog główny.

### ValidationError

- `loc` (list of ValidationErrorLocItem, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItem

- string
- integer

## Examples

**Response**

```json
{
  "procedures": [
    {
      "procedure_id": "agtprc_6qbpwdq8n01bxhk44bgjy6f10ck3",
      "has_draft": false,
      "version_id": "agtprcv_7rbqxer9o12cyxi55ckw6sgz1dl4",
      "name": "Customer Support Procedure",
      "type": "free_form",
      "trigger": "When the customer asks for support",
      "referenced_tool_ids": [
        "tool_123"
      ],
      "referenced_kb_ids": [
        "kb_123"
      ],
      "referenced_procedure_ids": [
        "agtprc_other"
      ],
      "referenced_dynamic_variables": [
        "customer_id"
      ],
      "folder_parent_id": "folder_parent_id"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/convai/agents/agent_3701k3ttaq12ewp8b7qv5rfyszkz/branches/agtbranch_0901k4aafjxxfxt93gd841r7tv5t/procedures"

querystring = {"agent_version_id":"agent_version_id"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/convai/agents/agent_3701k3ttaq12ewp8b7qv5rfyszkz/branches/agtbranch_0901k4aafjxxfxt93gd841r7tv5t/procedures?agent_version_id=agent_version_id';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/convai/agents/agent_3701k3ttaq12ewp8b7qv5rfyszkz/branches/agtbranch_0901k4aafjxxfxt93gd841r7tv5t/procedures?agent_version_id=agent_version_id"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/convai/agents/agent_3701k3ttaq12ewp8b7qv5rfyszkz/branches/agtbranch_0901k4aafjxxfxt93gd841r7tv5t/procedures?agent_version_id=agent_version_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/convai/agents/agent_3701k3ttaq12ewp8b7qv5rfyszkz/branches/agtbranch_0901k4aafjxxfxt93gd841r7tv5t/procedures?agent_version_id=agent_version_id")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/convai/agents/agent_3701k3ttaq12ewp8b7qv5rfyszkz/branches/agtbranch_0901k4aafjxxfxt93gd841r7tv5t/procedures?agent_version_id=agent_version_id');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/convai/agents/agent_3701k3ttaq12ewp8b7qv5rfyszkz/branches/agtbranch_0901k4aafjxxfxt93gd841r7tv5t/procedures?agent_version_id=agent_version_id");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/agents/agent_3701k3ttaq12ewp8b7qv5rfyszkz/branches/agtbranch_0901k4aafjxxfxt93gd841r7tv5t/procedures?agent_version_id=agent_version_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```